Read all transactions
curl --request GET \
--url https://api-sandbox.lumx.io/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.lumx.io/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.lumx.io/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.lumx.io/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.lumx.io/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.lumx.io/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.lumx.io/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "450386ab-dee2-44b2-be91-5a7826eca816",
"customerId": "a97f1a81-6f56-43a9-899a-5863322dfba9",
"type": "ON_RAMP",
"request": {
"sourceCurrency": "USD",
"targetCurrency": "USDC",
"sourceAmount": "1000.00",
"targetAmount": "963.100000",
"rail": "ACH",
"purpose": "PERSONAL_ACCOUNT",
"blockchain": "POLYGON"
},
"state": {
"status": "SUCCESS",
"payment": {
"rail": "ACH",
"identifier": {
"accountNumber": "1122334455",
"accountRoutingNumber": "011000015"
},
"holder": {
"name": "Harry Potter",
"address": {
"line1": "4 Privet Drive",
"city": "London",
"state": "SE",
"country": "GBR",
"postalCode": "10001"
}
},
"bank": {
"name": "Mock Bank"
},
"memo": "6d588245-bbab-4d84-9a00-c40039b80e09"
},
"receipt": {
"sourceCurrency": "USD",
"sourceAmount": "1000.00",
"targetCurrency": "USDC",
"baseExchangeRate": "1.000000",
"baseTargetAmount": "1000.000000",
"fees": {
"lumx": {
"rate": "19",
"flatAmount": "35.000000",
"totalAmount": "36.900000",
"currency": "USDC"
}
},
"finalTargetAmount": "963.100000",
"finalExchangeRate": "0.963100",
"transactionHash": "0xcc43ba2b9d21dd4755691777dced114fd921474be0387b69d846b865ab06b0de",
"blockExplorerUrl": "https://amoy.polygonscan.com/tx/0xcc43ba2b9d21dd4755691777dced114fd921474be0387b69d846b865ab06b0de"
}
},
"metadata": {
"orderId": "ord_789"
},
"createdAt": "2026-11-03T18:30:34.076Z",
"updatedAt": "2026-11-03T18:32:08.546Z"
},
{
"id": "7bc4f181-40cb-474a-bb2c-4e6cf5df3df6",
"customerId": "a97f1a81-6f56-43a9-899a-5863322dfba9",
"type": "ON_RAMP",
"request": {
"sourceCurrency": "EUR",
"targetCurrency": "USDC",
"sourceAmount": "1000.00",
"targetAmount": "1116.410700",
"rail": "SEPA",
"purpose": "PERSONAL_ACCOUNT",
"blockchain": "POLYGON"
},
"state": {
"status": "SUCCESS",
"payment": {
"rail": "SEPA",
"identifier": {
"iban": "DE89370400440532013000",
"bic": "HBUKGB4BXXX"
},
"holder": {
"name": "Harry Potter"
}
},
"receipt": {
"sourceCurrency": "EUR",
"sourceAmount": "1000.00",
"targetCurrency": "USDC",
"baseExchangeRate": "1.119650",
"baseTargetAmount": "1119.650000",
"fees": {
"lumx": {
"rate": "20",
"flatAmount": "1.000000",
"totalAmount": "3.239300",
"currency": "USDC"
}
},
"finalTargetAmount": "1116.410700",
"finalExchangeRate": "1.116411",
"transactionHash": "0x08a07bac0b993e21d9357d1eb23da6e912fb2cfaf06322f1be93ae78f5198ff6",
"blockExplorerUrl": "https://amoy.polygonscan.com/tx/0x08a07bac0b993e21d9357d1eb23da6e912fb2cfaf06322f1be93ae78f5198ff6"
}
},
"metadata": {
"orderId": "ord_789"
},
"createdAt": "2026-11-03T18:30:20.132Z",
"updatedAt": "2026-11-03T18:31:21.395Z"
}
],
"pagination": {
"size": 2,
"total": 4,
"hasNextPage": true,
"hasPreviousPage": false,
"nextCursor": "7bc4f181-40cb-474a-bb2c-4e6cf5df3df6"
}
}{
"requestId": "5043fb05-317c-453b-b1f7-240090679e04",
"timestamp": "2026-11-04T17:22:44.142Z",
"path": "/transactions?foo=bar",
"status": 400,
"code": "VALIDATION_ERROR",
"message": "The request body contains invalid parameters.",
"validationErrors": [
{
"param": "foo",
"message": "property foo should not exist"
}
]
}{
"requestId": "9f2a182f-705b-493d-bbd7-2b8de94cfea9",
"timestamp": "2026-11-04T17:22:40.818Z",
"path": "/transactions",
"status": 401,
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}{
"requestId": "3f1c2a9e-7b4d-4e2a-9c1f-5d8e6b0a1c23",
"timestamp": "2026-11-04T17:30:00.000Z",
"path": "/transactions",
"status": 403,
"code": "FORBIDDEN",
"message": "This API key can't access this resource."
}Transactions
Read all transactions
Reads all transactions in your project, newest first.
GET
/
transactions
Read all transactions
curl --request GET \
--url https://api-sandbox.lumx.io/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.lumx.io/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.lumx.io/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.lumx.io/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.lumx.io/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.lumx.io/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.lumx.io/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "450386ab-dee2-44b2-be91-5a7826eca816",
"customerId": "a97f1a81-6f56-43a9-899a-5863322dfba9",
"type": "ON_RAMP",
"request": {
"sourceCurrency": "USD",
"targetCurrency": "USDC",
"sourceAmount": "1000.00",
"targetAmount": "963.100000",
"rail": "ACH",
"purpose": "PERSONAL_ACCOUNT",
"blockchain": "POLYGON"
},
"state": {
"status": "SUCCESS",
"payment": {
"rail": "ACH",
"identifier": {
"accountNumber": "1122334455",
"accountRoutingNumber": "011000015"
},
"holder": {
"name": "Harry Potter",
"address": {
"line1": "4 Privet Drive",
"city": "London",
"state": "SE",
"country": "GBR",
"postalCode": "10001"
}
},
"bank": {
"name": "Mock Bank"
},
"memo": "6d588245-bbab-4d84-9a00-c40039b80e09"
},
"receipt": {
"sourceCurrency": "USD",
"sourceAmount": "1000.00",
"targetCurrency": "USDC",
"baseExchangeRate": "1.000000",
"baseTargetAmount": "1000.000000",
"fees": {
"lumx": {
"rate": "19",
"flatAmount": "35.000000",
"totalAmount": "36.900000",
"currency": "USDC"
}
},
"finalTargetAmount": "963.100000",
"finalExchangeRate": "0.963100",
"transactionHash": "0xcc43ba2b9d21dd4755691777dced114fd921474be0387b69d846b865ab06b0de",
"blockExplorerUrl": "https://amoy.polygonscan.com/tx/0xcc43ba2b9d21dd4755691777dced114fd921474be0387b69d846b865ab06b0de"
}
},
"metadata": {
"orderId": "ord_789"
},
"createdAt": "2026-11-03T18:30:34.076Z",
"updatedAt": "2026-11-03T18:32:08.546Z"
},
{
"id": "7bc4f181-40cb-474a-bb2c-4e6cf5df3df6",
"customerId": "a97f1a81-6f56-43a9-899a-5863322dfba9",
"type": "ON_RAMP",
"request": {
"sourceCurrency": "EUR",
"targetCurrency": "USDC",
"sourceAmount": "1000.00",
"targetAmount": "1116.410700",
"rail": "SEPA",
"purpose": "PERSONAL_ACCOUNT",
"blockchain": "POLYGON"
},
"state": {
"status": "SUCCESS",
"payment": {
"rail": "SEPA",
"identifier": {
"iban": "DE89370400440532013000",
"bic": "HBUKGB4BXXX"
},
"holder": {
"name": "Harry Potter"
}
},
"receipt": {
"sourceCurrency": "EUR",
"sourceAmount": "1000.00",
"targetCurrency": "USDC",
"baseExchangeRate": "1.119650",
"baseTargetAmount": "1119.650000",
"fees": {
"lumx": {
"rate": "20",
"flatAmount": "1.000000",
"totalAmount": "3.239300",
"currency": "USDC"
}
},
"finalTargetAmount": "1116.410700",
"finalExchangeRate": "1.116411",
"transactionHash": "0x08a07bac0b993e21d9357d1eb23da6e912fb2cfaf06322f1be93ae78f5198ff6",
"blockExplorerUrl": "https://amoy.polygonscan.com/tx/0x08a07bac0b993e21d9357d1eb23da6e912fb2cfaf06322f1be93ae78f5198ff6"
}
},
"metadata": {
"orderId": "ord_789"
},
"createdAt": "2026-11-03T18:30:20.132Z",
"updatedAt": "2026-11-03T18:31:21.395Z"
}
],
"pagination": {
"size": 2,
"total": 4,
"hasNextPage": true,
"hasPreviousPage": false,
"nextCursor": "7bc4f181-40cb-474a-bb2c-4e6cf5df3df6"
}
}{
"requestId": "5043fb05-317c-453b-b1f7-240090679e04",
"timestamp": "2026-11-04T17:22:44.142Z",
"path": "/transactions?foo=bar",
"status": 400,
"code": "VALIDATION_ERROR",
"message": "The request body contains invalid parameters.",
"validationErrors": [
{
"param": "foo",
"message": "property foo should not exist"
}
]
}{
"requestId": "9f2a182f-705b-493d-bbd7-2b8de94cfea9",
"timestamp": "2026-11-04T17:22:40.818Z",
"path": "/transactions",
"status": 401,
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}{
"requestId": "3f1c2a9e-7b4d-4e2a-9c1f-5d8e6b0a1c23",
"timestamp": "2026-11-04T17:30:00.000Z",
"path": "/transactions",
"status": 403,
"code": "FORBIDDEN",
"message": "This API key can't access this resource."
}Authorizations
Query Parameters
Filter by status. Comma-separated list, for example AWAITING_FUNDS,SUCCESS.
Transaction's status. See Transaction lifecycle for the order by transaction type.
Available options:
AWAITING_FUNDS, TRANSFERRING_FIAT, TRANSFERRING_STABLECOIN, TRADING, SUCCESS, FAILED, EXPIRED